package m05bFestivoEJB;

import java.rmi.RemoteException;
import javax.ejb.*;
import m05bBD.m05bFestivo;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05FestivoEB</tt>.
 *
 * @see     m05.exe.Festivo 
 * @see     m05.exe.M05FestivoEBHome
 * @see     m05.exe.M05FestivoEBPK
 * @see     m05.exe.M05FestivoEBBean 
 * @author <a href="mailto:paco.gomez@terra.com">Paco Gomez</a>.
 *         Professional J2EE Programming with BEA WebLogic Server, 
 *         by Gomez & Zadrozny, Copyright &#169; 2000. 
 */
public interface m05Festivo extends EJBObject{

  public String getFes_codigo()throws RemoteException;  
  public void setFes_codigo(String n)throws RemoteException;  
  
  public String getFes_fecha()throws RemoteException;  
  public void setFes_fecha(String n)throws RemoteException;  

  public String getFes_descrip()throws RemoteException;  
  public void setFes_descrip(String n)throws RemoteException;  
  
  public String getFes_edescrip()throws RemoteException;  
  public void setFes_edescrip(String n)throws RemoteException; 

  /**
   * Returns the Festivo information of this E-EJB.
   */   
  public m05bFestivo getFestivo()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Festivo <tt>mod_id</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */     
/*  public void setFestivo(Festivo aviso)
    throws RemoteException, Exception;    */

}	